[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# CreateListAndAdd

Ensures that a TList has been created before adding the specified object instance.

## Declaration

Source position: lazhelpintf.pas line 602

`procedure CreateListAndAdd(`
`const AnObject: TObject;`
`var List: TList;`
`OnlyIfNotExists: Boolean`
`);`

## Arguments

`AnObject` |  | Object instance added in the routine.
`List` |  | List instance created or updated in the routine.
`OnlyIfNotExists` |  | Indicates if the object is added only when it does not already exist in the list.